[arch-commits] Commit in kdebindings/trunk (PKGBUILD kdebindings-plasma.patch)

Pierre Schmitz pierre at archlinux.org
Fri Feb 5 05:55:06 UTC 2010


    Date: Friday, February 5, 2010 @ 00:55:05
  Author: pierre
Revision: 67222

build fix

Added:
  kdebindings/trunk/kdebindings-plasma.patch
Modified:
  kdebindings/trunk/PKGBUILD

--------------------------+
 PKGBUILD                 |   16 ++++++++++------
 kdebindings-plasma.patch |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-04 23:32:25 UTC (rev 67221)
+++ PKGBUILD	2010-02-05 05:55:05 UTC (rev 67222)
@@ -13,18 +13,22 @@
 license=('GPL' 'LGPL')
 makedepends=('pkgconfig' 'cmake' 'automoc4' 'kdepimlibs' 'pyqt' 'kdepim-runtime'
              'ruby' 'mono' 'kdegraphics-okular')
-source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2")
-md5sums=('9e3c77d3f230850799c2ad8d2107eadb')
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
+        'kdebindings-plasma.patch')
+md5sums=('9e3c77d3f230850799c2ad8d2107eadb'
+         '3a6be71952d2d35b343e0f3c0281b2e8')
 
 build() {
+	cd $srcdir/${pkgbase}-${pkgver}
+	# build fix
+	# see http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/kde4-kdebindings/
+	patch -p1 -i $srcdir/kdebindings-plasma.patch || return 1
+	cd ..
+
 	export MONO_SHARED_DIR="${srcdir}/build/.mono"
 	mkdir -p "$MONO_SHARED_DIR"
 	cd $srcdir/build
 
-	# disable broken examples
-	sed -e 's#add_subdirectory( examples )##' \
-		-i ../${pkgbase}-${pkgver}/csharp/plasma/CMakeLists.txt || return 1
-
 	# fix build with ruby 1.9
 	# see http://bugs.archlinux.org/task/16175
 	find ../$pkgbase-$pkgver/ruby -name CMakeLists.txt \

Added: kdebindings-plasma.patch
===================================================================
--- kdebindings-plasma.patch	                        (rev 0)
+++ kdebindings-plasma.patch	2010-02-05 05:55:05 UTC (rev 67222)
@@ -0,0 +1,39 @@
+--- kdebindings-4.4.0/python/pykde4/sip/plasma/animation.sip.org	2010-02-04 22:24:40.894406975 +0100
++++ kdebindings-4.4.0/python/pykde4/sip/plasma/animation.sip	2010-02-04 22:26:53.744810045 +0100
+@@ -29,11 +29,11 @@
+     int                     duration () const;
+     enum Reference
+     {
+-        Center,
+-        Up,
+-        Down,
+-        Left,
+-        Right
++        Center = 0,
++        Up = 0x1,
++        Down = 0x2,
++        Left = 0x4,
++        Right = 0x8
+     };
+     explicit                Animation (QObject* parent /TransferThis/ = 0);
+     virtual ~Animation ()=0;
+@@ -52,14 +52,11 @@
+     QGraphicsWidget*        targetWidget () const;
+     enum MovementDirection
+     {
+-        MoveUp,
+-        MoveUpRight,
+-        MoveRight,
+-        MoveDownRight,
+-        MoveDown,
+-        MoveDownLeft,
+-        MoveLeft,
+-        MoveUpLeft
++        MoveAny = 0,
++        MoveUp = 0x1,
++        MoveRight = 0x2,
++        MoveDown = 0x4,
++        MoveLeft = 0x8
+     };
+     void                    setEasingCurve (const QEasingCurve& curve);
+     QEasingCurve            easingCurve () const;




More information about the arch-commits mailing list